//-----------------------------------------------------------------------
// <copyright file="Album.cs" company="Robert MacLean">
//     This file is released under the LGPL. For more information see 
//     http://gallery2.codeplex.com.
//     Originally created by Robert MacLean http://www.sadev.co.za
// </copyright>
//-----------------------------------------------------------------------

using System.Collections.ObjectModel;
namespace SADev.Gallery2.Protocol
{
    /// <summary>
    /// This class is an Album in G2
    /// </summary>
    public class Album
    {
        /// <summary>
        /// Gets or sets the name.
        /// </summary>
        /// <value>The name.</value>
        public string Name { get; set; }

        /// <summary>
        /// Gets or sets the title.
        /// </summary>
        /// <value>The title.</value>
        public string Title { get; set; }

        /// <summary>
        /// Gets or sets the summary.
        /// </summary>
        /// <value>The summary.</value>
        public string Summary { get; set; }

        /// <summary>
        /// Gets or sets the parent.
        /// </summary>
        /// <value>The parent.</value>
        public int Parent { get; set; }

        /// <summary>
        /// Gets or sets the id.
        /// </summary>
        /// <value>The id.</value>
        public int Id { get; set; }

        /// <summary>
        /// Gets or sets the size of the resize.
        /// </summary>
        /// <value>The size of the resize.</value>
        public string ResizeSize { get; set; }

        /// <summary>
        /// Gets or sets the size of the thumbnail.
        /// </summary>
        /// <value>The size of the thumbnail.</value>
        public string ThumbnailSize { get; set; }

        /// <summary>
        /// Gets or sets the size of the max.
        /// </summary>
        /// <value>The size of the max.</value>
        public string MaxSize { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether this instance can add.
        /// </summary>
        /// <value><c>true</c> if this instance can add; otherwise, <c>false</c>.</value>
        public bool CanAdd { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether this instance can write.
        /// </summary>
        /// <value><c>true</c> if this instance can write; otherwise, <c>false</c>.</value>
        public bool CanWrite { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether this instance can delete item.
        /// </summary>
        /// <value>
        /// 	<c>true</c> if this instance can delete item; otherwise, <c>false</c>.
        /// </value>
        public bool CanDeleteItem { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether this instance can delete album.
        /// </summary>
        /// <value>
        /// 	<c>true</c> if this instance can delete album; otherwise, <c>false</c>.
        /// </value>
        public bool CanDeleteAlbum { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether this instance can create sub albums.
        /// </summary>
        /// <value>
        /// 	<c>true</c> if this instance can create sub albums; otherwise, <c>false</c>.
        /// </value>
        public bool CanCreateSubAlbums { get; set; }

        /// <summary>
        /// Gets or sets the extra fields.
        /// </summary>
        /// <value>The extra fields.</value>
        public Collection<string> ExtraFields { get; set; }
    }
}


