//-----------------------------------------------------------------------
// <copyright file="AlbumPropertiesResponse.cs" company="Robert MacLean">
//     This file is released under the LGPL. For more information see 
//     http://gallery2.codeplex.com.
//     Originally created by Robert MacLean http://www.sadev.co.za
// </copyright>
//-----------------------------------------------------------------------

namespace SADev.Gallery2.Protocol
{
    using System;
    using System.Collections.Generic;
    using System.Collections.ObjectModel;
    using System.Diagnostics;
    using System.Globalization;

    /// <summary>
    /// Defines a response from the Fetch-Album or Fetch-Album-Prune commands
    /// </summary>
    public class AlbumPropertiesResponse : G2Response
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="NoOpResponse"/> class.
        /// </summary>
        /// <param name="result">The result.</param>
        public AlbumPropertiesResponse(Collection<string> result) : base(result) { }

        /// <summary>
        /// Gets the status.
        /// </summary>
        /// <value>The status.</value>
        public new Status Status
        {
            get
            {
                return base.Status;
            }
        }

        /// <summary>
        /// Gets the status text.
        /// </summary>
        /// <value>The status text.</value>
        public new string StatusText
        {
            get
            {
                return base.StatusText;
            }
        }

        /// <summary>
        /// Gets or sets the auto resize.
        /// </summary>
        /// <value>The auto resize.</value>
        public new string AutoResize
        {
            get
            {
                return base.AutoResize;
            }
        }

        /// <summary>
        /// Gets or sets the size of the max.
        /// </summary>
        /// <value>The size of the max.</value>
        public new string MaxSize
        {
            get
            {
                return base.MaxSize;
            }
        }

        /// <summary>
        /// Gets or sets a value indicating whether [add to beginning].
        /// </summary>
        /// <value><c>true</c> if [add to beginning]; otherwise, <c>false</c>.</value>
        public new bool AddToBeginning
        {
            get
            {
                return base.AddToBeginning;
            }
        }

        /// <summary>
        /// Gets or sets the extra fields.
        /// </summary>
        /// <value>The extra fields.</value>
        public new Collection<string> ExtraFields
        {
            get
            {
                return base.ExtraFields;
            }
        }
    }
}
