namespace SADev.Gallery2.Protocol
{
    using System;
    using System.Collections.Generic;
    using System.Collections.ObjectModel;
    using System.Diagnostics;
    using System.Globalization;

    /// <summary>
    /// The response to the fetch-album-images command
    /// </summary>
    public class FetchAlbumImagesResponse : G2Response
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="FetchAlbumImagesResponse"/> class.
        /// </summary>
        /// <param name="result">The result.</param>
        public FetchAlbumImagesResponse(Collection<string> result) : base(result) { }

        /// <summary>
        /// Gets the status.
        /// </summary>
        /// <value>The status.</value>
        public new Status Status
        {
            get
            {
                return base.Status;
            }
        }

        /// <summary>
        /// Gets the status text.
        /// </summary>
        /// <value>The status text.</value>
        public new string StatusText
        {
            get
            {
                return base.StatusText;
            }
        }

        /// <summary>
        /// Gets or sets the name of the album.
        /// </summary>
        /// <value>The name of the album.</value>
        public new string AlbumName
        {
            get
            {
                return base.AlbumName;
            }
        }

        /// <summary>
        /// Gets or sets the extra fields.
        /// </summary>
        /// <value>The extra fields.</value>
        public new Collection<string> ExtraFields
        {
            get
            {
                return base.ExtraFields;
            }
        }

        /// <summary>
        /// Gets the images.
        /// </summary>
        /// <value>The images.</value>
        public new Collection<Image> Images
        {
            get
            {
                return base.Images;
            }
        }
    }
}
