//-----------------------------------------------------------------------
// <copyright file="FetchAlbumResponse.cs" company="Robert MacLean">
//     This file is released under the LGPL. For more information see 
//     http://gallery2.codeplex.com.
//     Originally created by Robert MacLean http://www.sadev.co.za
// </copyright>
//-----------------------------------------------------------------------

namespace SADev.Gallery2.Protocol
{
    using System;
    using System.Collections.Generic;
    using System.Collections.ObjectModel;
    using System.Diagnostics;
    using System.Globalization;
    /// <summary>
    /// The response for the fetch-album and fetch-album-prune requests
    /// </summary>
    public class FetchAlbumResponse : G2Response
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="FetchAlbumResponse"/> class.
        /// </summary>
        /// <param name="result">The result.</param>
        public FetchAlbumResponse(Collection<string> result) : base(result) { }

        /// <summary>
        /// Gets the status.
        /// </summary>
        /// <value>The status.</value>
        public new Status Status
        {
            get
            {
                return base.Status;
            }
        }

        /// <summary>
        /// Gets the status text.
        /// </summary>
        /// <value>The status text.</value>
        public new string StatusText
        {
            get
            {
                return base.StatusText;
            }
        }

        /// <summary>
        /// Gets the albums.
        /// </summary>
        /// <value>The albums.</value>
        public new Collection<Album> Albums
        {
            get
            {
                return base.Albums;
            }
        }

        /// <summary>
        /// Gets a value indicating whether this instance can create root.
        /// </summary>
        /// <value>
        /// 	<c>true</c> if this instance can create root; otherwise, <c>false</c>.
        /// </value>
        public new bool CanCreateRoot
        {
            get
            {
                return base.CanCreateRoot;
            }
        }
    }
}
