namespace SADev.Gallery2.Protocol
{
    using System;
    using System.Collections.Generic;
    using System.Collections.ObjectModel;
    using System.Diagnostics;
    using System.Globalization;
    /// <summary>
    /// The response to the image-properties command
    /// </summary>
    public class ImagePropertiesResponse : G2Response
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ImagePropertiesResponse"/> class.
        /// </summary>
        /// <param name="result">The result.</param>
        public ImagePropertiesResponse(Collection<string> result) : base(result) { }

        /// <summary>
        /// Gets the status.
        /// </summary>
        /// <value>The status.</value>
        public new Status Status
        {
            get
            {
                return base.Status;
            }
        }

        /// <summary>
        /// Gets the status text.
        /// </summary>
        /// <value>The status text.</value>
        public new string StatusText
        {
            get
            {
                return base.StatusText;
            }
        }

        /// <summary>
        /// Gets or sets the image.
        /// </summary>
        /// <value>The image.</value>
        public new Image Image
        {
            get
            {
                return base.Image;
            }
        }
    }
}
