//-----------------------------------------------------------------------
// <copyright file="NoOpResponse.cs" company="Robert MacLean">
//     This file is released under the LGPL. For more information see 
//     http://gallery2.codeplex.com.
//     Originally created by Robert MacLean http://www.sadev.co.za
// </copyright>
//-----------------------------------------------------------------------

namespace SADev.Gallery2.Protocol
{
    using System;
    using System.Collections.Generic;
    using System.Collections.ObjectModel;
    using System.Diagnostics;
    using System.Globalization;
    /// <summary>
    /// The response to the increment-view-count command
    /// </summary>
    public class IncrementViewCountResponse : G2Response
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="IncrementViewCountResponse"/> class.
        /// </summary>
        /// <param name="result">The result.</param>
        public IncrementViewCountResponse(Collection<string> result) : base(result) { }

        /// <summary>
        /// Gets the status.
        /// </summary>
        /// <value>The status.</value>
        public new Status Status
        {
            get
            {
                return base.Status;
            }
        }

        /// <summary>
        /// Gets the status text.
        /// </summary>
        /// <value>The status text.</value>
        public new string StatusText
        {
            get
            {
                return base.StatusText;
            }
        }
    }
}
